{
  "name": "@blackbox-vision/typeorm-api-starter",
  "version": "0.0.1",
  "description": "An API start to boost project startup with TypeORM support",
  "author": "Jonatan Salas <jonatan.salas@blackbox-vision.tech>",
  "private": true,
  "scripts": {
    "build": "rimraf dist && nest build",
    "crud:generator": "cd codegen && plop crud-codegen",
    "docker:mysql": "docker-compose --env-file .env -f docker/docker-compose.with-mysql.yml up",
    "docker:mssql": "docker-compose --env-file .env -f docker/docker-compose.with-mssql.yml up",
    "docker:postgres": "docker-compose --env-file .env -f docker/docker-compose.with-postgres.yml up",
    "postinstall": "cd codegen && npm install",
    "setup:validator": "node setup-validator/index.js",
    "start": "node dist/main",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "seed:config": "ts-node ./node_modules/typeorm-seeding/dist/cli.js config",
    "seed:run": "ts-node ./node_modules/typeorm-seeding/dist/cli.js seed"
  },
  "dependencies": {
    "@nestjs/bull": "^0.5.4",
    "@nestjs/common": "^8.1.2",
    "@nestjs/config": "^1.1.0",
    "@nestjs/core": "^8.1.2",
    "@nestjs/jwt": "^8.0.0",
    "@nestjs/passport": "^8.0.1",
    "@nestjs/platform-express": "^8.1.2",
    "@nestjs/swagger": "^5.1.4",
    "@nestjs/typeorm": "^8.0.2",
    "bcrypt": "^5.0.1",
    "bull": "^4.8.1",
    "cache-manager-ioredis": "^2.1.0",
    "class-transformer": "^0.4.0",
    "class-validator": "^0.13.1",
    "csurf": "^1.11.0",
    "dotenv": "^10.0.0",
    "dotenv-cli": "^4.1.0",
    "helmet": "^4.6.0",
    "joi": "^17.4.2",
    "lodash.camelcase": "^4.3.0",
    "mssql": "^7.2.1",
    "nestjs-redoc": "^2.2.2",
    "passport": "^0.5.0",
    "passport-jwt": "^4.0.0",
    "passport-local": "^1.0.0",
    "pg": "^8.7.1",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.4.0",
    "swagger-ui-express": "^4.1.6",
    "typeorm": "^0.2.38",
    "typeorm-seeding": "^1.6.1",
    "winston": "^3.3.3"
  },
  "devDependencies": {
    "@commitlint/cli": "^14.1.0",
    "@commitlint/config-conventional": "^14.1.0",
    "@nestjs/cli": "^8.1.4",
    "@nestjs/schematics": "^8.0.4",
    "@nestjs/testing": "^8.1.2",
    "@types/bcrypt": "^5.0.0",
    "@types/bull": "^3.15.8",
    "@types/cache-manager": "^3.4.2",
    "@types/dotenv": "^8.2.0",
    "@types/express": "^4.17.13",
    "@types/jest": "^27.0.2",
    "@types/lodash.camelcase": "^4.3.6",
    "@types/node": "^16.11.6",
    "@types/passport-jwt": "^3.0.6",
    "@types/passport-local": "^1.0.34",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^5.3.0",
    "@typescript-eslint/parser": "^5.3.0",
    "cache-manager": "^3.4.4",
    "eslint": "^8.2.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.25.2",
    "husky": "^7.0.4",
    "jest": "^27.3.1",
    "lint-staged": "^11.2.6",
    "plop": "^2.7.6",
    "prettier": "^2.4.1",
    "rimraf": "^3.0.2",
    "supertest": "^6.1.6",
    "ts-jest": "^27.0.7",
    "ts-loader": "^9.2.6",
    "ts-node": "^10.4.0",
    "tsconfig-paths": "^3.11.0",
    "typescript": "^4.4.4"
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{ts,json,md}": [
      "prettier --write",
      "git add"
    ]
  }
}
